#ifndef __LIBTSC_H__
#define __LIBTSC_H__
extern "C" int openport(char * printername);
extern "C" int openethernet(char * ipaddress, int portnumber);
extern "C" int closeport();
extern "C" int sendcommand(char * printercommand);
extern "C" int setup(char *width, char *height, char *speed, char *density, char *sensor, char *vertical, char *offset);
extern "C" int clearbuffer();
extern "C" int barcode(char *x, char *y, char *type, char *height, char *readable, char *rotation, char *narrow, char *wide, char *code);
extern "C" int printerfont(char *x, char *y, char *fonttype, char *rotation, char *xmul, char *ymul, char *text);
extern "C" int printlabel(char *set, char *copy);
extern "C" int downloadpcx(char *filename, char *image_name);
extern "C" int formfeed ();
extern "C" int nobackfeed();
extern "C" int windowsfont(int x, int y, int fontheight, int rotation, char *fontpath, char *content);
extern "C" char* about();
extern "C" int sendBinaryData(unsigned char* binaryData, int dataLength);
extern "C" int printerstatus();
extern "C" char* printername();
extern "C" char* printerserial();
#endif
