#include <stdio.h>
#include "libtsc.h"

int main(int argc, char *argv[]) {

	openport("USB");
	//openport("ttyS1");
	//openethernet("192.168.0.100", 9100);

	printf("Status: %d\r\n",printerstatus());

	sendcommand("SIZE 100 mm, 63 mm"); 
	sendcommand("GAP 2 mm, 0 mm");
	sendcommand("SPEED 4");
	sendcommand("DENSITY 8");
	sendcommand("DIRECTION 1");
	clearbuffer();
	barcode("100", "150", "128", "100", "1", "0", "2", "2", "Barcode Test");
	printerfont("100", "300", "3", "0", "1", "1", "Print Font Test");
	windowsfont(100, 50, 50, 0, "ARIALUNI.TTF", "にっぽんごEnglish中文한글");
	downloadpcx("UL.PCX", "UL.PCX"); 
	sendcommand("PUTPCX 100,400,\"UL.PCX\""); 
	printlabel("1", "1"); 

	closeport(); 

	return 0;
}
